> For the complete documentation index, see [llms.txt](https://docs.medcrypt.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md).

# medcrypt::guardian::AuthenticationDomain

Conteneur de restrictions d’authentification. Restrictions destinées à être utilisées par un agent d’authentification.

`#include <AuthenticationManager.h>`

## Attributs publics

|                                                                                                                                                             | Nom                                              |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| std::string                                                                                                                                                 | [**service\_name**](#variable-service_name)      |
| std::string                                                                                                                                                 | [**domain**](#variable-domain)                   |
| [AuthenticationAllowDenyEnum::Type](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#enum-type) | [**ip\_allow\_deny**](#variable-ip_allow_deny)   |
| std::list< std::string >                                                                                                                                    | [**ip\_addresses**](#variable-ip_addresses)      |
| [AuthenticationAllowDenyEnum::Type](/fr/guardian/api-overview/api-reference/namespaces/namespacemedcrypt-guardian-authenticationallowdenyenum.md#enum-type) | [**key\_allow\_deny**](#variable-key_allow_deny) |
| std::list< std::vector< uint8\_t > >                                                                                                                        | [**public\_keys**](#variable-public_keys)        |

## Documentation des attributs publics

### variable service\_name

```cpp
std::string service_name;
```

le nom du service que le conteneur

### variable domain

```cpp
std::string domain;
```

domaine d’authentification propre au transport, généralement représenté par une chaîne correspondant à un port

### variable ip\_allow\_deny

```cpp
AuthenticationAllowDenyEnum::Type ip_allow_deny;
```

les adresses de la liste suivante sont-elles autorisées ou refusées

### variable ip\_addresses

```cpp
std::list< std::string > ip_addresses;
```

représentations sous forme de chaîne des adresses IP

### variable key\_allow\_deny

```cpp
AuthenticationAllowDenyEnum::Type key_allow_deny;
```

les clés de la liste suivante sont-elles autorisées ou refusées

### variable public\_keys

```cpp
std::list< std::vector< uint8_t > > public_keys;
```

vecteurs d’octets de clés publiques

## Débogage et journalisation

Guardian ne crée pas de fichiers journaux. La journalisation est plutôt contrôlée par l’application :

* Guardian écrit les journaux dans `stdout` et `stderr`, qui s’affichent dans le terminal/la CLI de l’application en cours d’exécution. Recherchez dans la sortie les codes d’erreur spécifiques ou les échecs de connexion.
* **Journalisation personnalisée :** Utilisez `SetLoggingCallback` pour rediriger les messages de journalisation vers une fonction de rappel, interrompre leur affichage dans le terminal et permettre un traitement personnalisé des journaux
* **Contrôle de la journalisation :** Les applications peuvent contrôler le niveau et le degré de détail de la journalisation.
* **Interface utilisateur de Guardian Cloud**: Consultez l’interface Guardian Cloud pour obtenir des détails supplémentaires sur les erreurs et connaître l’état du provisionnement.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.medcrypt.com/fr/guardian/api-overview/api-reference/classes/structmedcrypt-guardian-authenticationdomain.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
